#!/system/bin/sh
if ! applypatch -c EMMC:/dev/block/platform/sdhci-tegra.3/by-name/SOS:6670336:64315e74d683d6fbab73644fcf93a57ff3d7deec; then
  log -t recovery "Installing new recovery image"
  applypatch -b /system/etc/recovery-resource.dat EMMC:/dev/block/platform/sdhci-tegra.3/by-name/LNX:6113280:f9ba8f75f123fbaf2170f273f2a3f28f9985b05b EMMC:/dev/block/platform/sdhci-tegra.3/by-name/SOS 64315e74d683d6fbab73644fcf93a57ff3d7deec 6670336 f9ba8f75f123fbaf2170f273f2a3f28f9985b05b:/system/recovery-from-boot.p
else
  log -t recovery "Recovery image already installed"
fi
